% Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
% ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
% Hamm und Solingen entstanden.
%
% Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
% http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
%
% Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
% sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
% und auf die ursprünglichen Urheber verwiesen wird.
% Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
%
% Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
% Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
%
% Die Sammlung der Dokumente steht unter
% http://ddi.uni-wuppertal.de/material/materialsammlung/
% zur Verfügung.
%
% Das LaTeX-Paket zum Setzen der Dokumente der Sammlung steht
% unter  http://www.ctan.org/pkg/schule
% zur Verfügung.

\svnid{$Id: def_umgebung.inc 626 2014-05-22 21:36:50Z pieper $}

%\newcounter{aufgabe}[chapter]

\definecolor{LightBlue}{rgb}{0.5,0.5,1.0}
\definecolor{LightGrey}{rgb}{0.9,0.9,0.9}
%\newenvironment{Aufgabe}
%{%
%  \stepcounter{aufgabe}\label{aufg\arabic{chapter}\arabic{aufgabe}}
%  \begin{Sbox}
%    \begin{minipage}{.978\textwidth}
%      \begin{tabular}{cl} 
%        \uebungBild & \raisebox{+0.9ex}{
%          \large {Aufgabe \arabic{chapter}.\arabic{aufgabe}} \normalsize
%        }  \\ 
%      \end{tabular}\\		
%    }{		
%    \end{minipage}
%  \end{Sbox}
%  \colorbox{LightGrey}{\TheSbox}
%  \\\\
%}

\newenvironment{AufgabePC}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/uebungpc} & \raisebox{+0.7ex}{
\stepcounter{aufgabe}\large {Aufgabe \arabic{chapter}.\arabic{aufgabe}} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Lernziele}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl}
\includegraphics[width=0.80cm]{icons/ziel} & \raisebox{+0.7ex}{
\large {Lernziele} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}



\newenvironment{Theorie}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/buch} & \raisebox{+0.7ex}{
\large {Theorie} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Lernkontrolle}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/test} & \raisebox{+0.7ex}{
\large {Lernkontrolle} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Uebersicht}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/wegweiser} & \raisebox{+0.7ex}{
\large {Übersicht} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Loesungen}[1]
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/birne} & \raisebox{+0.7ex}{
\large {#1} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Nothelfer}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/krankenwagen} & \raisebox{+0.7ex}{
\large {Nothelfer} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Additum}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/plus} & \raisebox{+0.7ex}{
\large {Additum} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

\newenvironment{Kapiteltest}
{
\begin{Sbox}
\begin{minipage}{.978\textwidth}
\begin{tabular}{cl} 
\includegraphics[width=0.80cm]{icons/stopp} & \raisebox{+0.7ex}{
\large {Kapiteltest} \normalsize
}  \\ 
\end{tabular} \\		
}{		
\end{minipage}
\end{Sbox}
\colorbox{LightGrey}{\TheSbox}
\\\\
}

%Umgebung für Multiple Choice-Aufgaben
%\newboolean{mpcloes}
%\setboolean{mpcloes}{false}
%
%\newcommand{\mpcl}[2][0]{%
%\ifthenelse{\not\boolean{mpcloes}}{$\Box$}{\ifthenelse{#1 = 0}{$\Box$}{$\XBox$}} & #2\tabularnewline
%}
%
%\newenvironment{mpc}[2][0]{
%\ifthenelse{#1 = 0}{\setboolean{mpcloes}{false}}{\setboolean{mpcloes}{true}}%
%\noindent #2\\\\%
%\begin{tabular}{p{1em}p{0.8\textwidth}}}
%{\end{tabular}\\\\}
%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "Vorlage"
%%% End: 
