% Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
% ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
% Hamm und Solingen entstanden.
%
% Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
% http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
%
% Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
% sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
% und auf die ursprünglichen Urheber verwiesen wird.
% Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
%
% Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
% Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
%
% Die Sammlung der Dokumente steht unter
% http://ddi.uni-wuppertal.de/material/materialsammlung/
% zur Verfügung.
%
% Das LaTeX-Paket zum Setzen der Dokumente der Sammlung steht
% unter  http://www.ctan.org/pkg/schule
% zur Verfügung.

\svnid{$Id: einleitung.inc 1201 2015-04-28 14:54:01Z humbert $}

\addcontentsline{toc}{chapter}{Einleitung}
{\chapter*{\dunkel{Einleitung}}}
Mit wachsenden Speichergrößen und immer günstiger werdenden Speicherpreisen ist 
absehbar, dass große Mengen von Daten verwaltet werden müssen. Dass hierfür 
effiziente Verfahren notwendig sind, ist einleuchtend. 
Niemand möchte erst lange warten, bis eine angeklickte MP3 
auf der Festplatte lokalisiert und in den Speicher geladen wird -- 
das Informatiksystem muss innerhalb von Sekundenbruchteilen \enquote{wissen}, 
wo genau die Datei sich befindet, um sie laden zu können.

Ein Verfahren zur Verwaltung von dynamisch wachsenden und sich verändernden 
Datenbeständen haben Sie bereits kennengelernt: Die lineare Liste. 
Mit ihrer Hilfe ist es möglich, Daten zu einer bestehenden Liste hinzuzufügen, 
Elemente daraus zu entfernen und die Liste mittels der linearen Suche 
elementweise zu durchsuchen.

Wie Sie sich vorstellen können, stößt diese Datenstruktur schnell an ihre 
Grenzen, wenn es darum gehen soll, \enquote{schnell mal} ein bestimmtes Element 
zu finden. Darum werden Sie in diesem Leitprogramm eine neue Datenstruktur 
kennen lernen, die Ihnen neue Möglichkeiten eröffnet. Wir beginnen damit 
allerdings nicht im oder am Informatiksystem, sondern stellen uns vor ein 
CD-Regal \ldots\vspace{2cm}
\begin{center}
  \includegraphics[width=6cm]{CD}
\end{center}
%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "Vorlage"
%%% End: 
